Package: groovy.org.codenarc.rule

## [Groovy] Class AbstractConstructorCallAstVisitor

- groovy.org.codenarc.rule.AbstractConstructorCallAstVisitor

- Abstract superclass for AST Visitor classes that deal with constructor calls

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `getViolationMessage(org.codehaus.groovy.ast.expr.ConstructorCallExpression call)`
    `` | `protected def` | `isConstructorCallAViolation(org.codehaus.groovy.ast.expr.ConstructorCallExpression constructorCall)` Subclasses must implement to return true if the visited constructor call causes a rule violation
    `` | `void` | `visitConstructorCallExpression(org.codehaus.groovy.ast.expr.ConstructorCallExpression constructorCall)`

- - ### Method Detail

    - #### protected String getViolationMessage(org.codehaus.groovy.ast.expr.ConstructorCallExpression call)

    - #### protected def isConstructorCallAViolation(org.codehaus.groovy.ast.expr.ConstructorCallExpression constructorCall)

      Subclasses must implement to return true if the visited constructor call causes a rule violation

    - #### @SuppressWarnings('CatchThrowable') @Override void visitConstructorCallExpression(org.codehaus.groovy.ast.expr.ConstructorCallExpression constructorCall)